Skip to main content

Updating pro-stitcher

Comments

2 comments

  • Cheryl Duncan

    Sue,

     

    If you are on version .0416 or later you do not need to install all the previous versions.  You will need to do the Pre-Install first then the latest version.  

    If you need further assistance please call our Technical Solutions team at 1-877-697-8458, M-F, 8-5 MST.

     

    Best regards,

     

    Cheryl Duncan

    Handi Quilter Studio Educator

    0
  • justwannaquilt

    Hello,

    I am new to Pro-Stitcher.  How do I know which version I have?

    -1

Please sign in to leave a comment.

Powered by Zendesk